Skip to content

ScriptGenerationRequest

Request body for the AI script generation endpoint.

Properties

NameTypeDescriptionNotes
audience_descriptionstrDescription of the target audience.
conceptsList[ConceptInput]List of concepts (name and description) to compare.
topicsList[str][optional]

Example

python
from syntheticusers.models.script_generation_request import ScriptGenerationRequest

# TODO update the JSON string below
json = "{}"
# create an instance of ScriptGenerationRequest from a JSON string
script_generation_request_instance = ScriptGenerationRequest.from_json(json)
# print the JSON string representation of the object
print(ScriptGenerationRequest.to_json())

# convert the object into a dict
script_generation_request_dict = script_generation_request_instance.to_dict()
# create an instance of ScriptGenerationRequest from a dict
script_generation_request_from_dict = ScriptGenerationRequest.from_dict(script_generation_request_dict)

[Back to API list] [Back to SDK]

Released under the MIT License.